/**********************************************************************
*  2005 Microchip Technology Inc.
*
* FileName:        device_config.c
* Dependencies:    p30fxxxx.h
*                  device_fcy.h
* Processor:       dsPIC30F6014
* Compiler:        MPLAB C30 v1.32.00 or higher
*
* SOFTWARE LICENSE AGREEMENT:
* Microchip Technology Inc. (Microchip) licenses this software to you
* solely for use with Microchip dsPIC digital signal controller
* products. The software is owned by Microchip and is protected under
* applicable copyright laws.  All rights reserved.
*
* SOFTWARE IS PROVIDED AS IS.  MICROCHIP EXPRESSLY DISCLAIMS ANY
* WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL MICROCHIP
* BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
* DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
* PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
* BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
* ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
*
* REVISION HISTORY:
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* Author            Date      Comments on this revision
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* Richard Fischer   07/18/05  dsPIC device configuration settings
*
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*
* ADDITIONAL NOTES:
*
*
**********************************************************************/


#include	"p30fxxxx.h"
#include    "device_fcy.h"
	

/* Macros to load configuration fuse bits in MPLAB IDE for ICD 2/Pro Mate
   Note: If using ICD 2 as a Debugger, ensure Comm Channel Select is 
         properly selected for your application.  */

#if  XTx4PLL          
	_FOSC( CSW_FSCM_OFF & XT_PLL4 );
#endif

#if   XTx8PLL         
	_FOSC( CSW_FSCM_OFF & XT_PLL8 );
#endif

#if   XTx16PLL       
	_FOSC( CSW_FSCM_OFF & XT_PLL16 );
#endif

	_FWDT( WDT_OFF );
	_FBORPOR( PBOR_OFF & BORV_45 & MCLR_EN );
	_FGS( CODE_PROT_OFF );
