
/**********************************************************************
*  2005 Microchip Technology Inc.
*
* FileName:        init_INTpin.c
* Dependencies:    p30fxxxx.h
* Processor:       dsPIC30F6014
* Compiler:        MPLAB C30 v1.32.00 or higher
*
* SOFTWARE LICENSE AGREEMENT:
* Microchip Technology Inc. (Microchip) licenses this software to you
* solely for use with Microchip dsPIC digital signal controller
* products. The software is owned by Microchip and is protected under
* applicable copyright laws.  All rights reserved.
*
* SOFTWARE IS PROVIDED AS IS.  MICROCHIP EXPRESSLY DISCLAIMS ANY
* WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL MICROCHIP
* BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
* DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
* PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
* BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
* ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
*
* REVISION HISTORY:
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* Author            Date      Comments on this revision
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* Richard Fischer   07/18/05  INT1 pin initialization
*
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*
* ADDITIONAL NOTES:
*
*
**********************************************************************/


#include "p30fxxxx.h"

   
    
/*---------------------------------------------------------------------
  Function Name: Init_INTpin
  Description:   Initialize INT1 pin used for setting RTC TOD
  Inputs:        None
  Returns:       None
-----------------------------------------------------------------------*/
void Init_INTpin( void )
{
	/* set INT1 pin interrupts for negative edge */
	INTCON2bits.INT1EP = 1;    

	/* ensure upper PORTA pins are input (for dsPICDEM 1.1 board) */	
	TRISA |= 0xFF00;           	 
	                           
	/* set peripheral interrupt level to 4 (default 4 on POR) */                            
	IPC4bits.INT1IP = 4;       
	
	/* reset INT1 pin interrupt flags */
	IFS1bits.INT1IF = 0;       	  
		  
	/* enable INT1 pin interrupts */	  
	IEC1bits.INT1IE = 1;       
}
