/**********************************************************************
*  2005 Microchip Technology Inc.
*
* FileName:        main.s
* Dependencies:    Header (.h/.inc) files if applicable, see below
* Processor:       dsPIC30Fxxxx
* Compiler:        MPLAB C30 v1.33.00 or higher
* IDE:             MPLAB IDE v7.21 or later
* Dev. Board Used: dsPICDEM 1.1 Development Board
* Hardware Dependencies: None
*
* SOFTWARE LICENSE AGREEMENT:
* Microchip Technology Inc. (Microchip) licenses this software to you
* solely for use with Microchip dsPIC digital signal controller
* products. The software is owned by Microchip and is protected under
* applicable copyright laws.  All rights reserved.
*
* SOFTWARE IS PROVIDED AS IS.  MICROCHIP EXPRESSLY DISCLAIMS ANY
* WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL MICROCHIP
* BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
* DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
* PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
* BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
* ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
*
* REVISION HISTORY:
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* Author            Date      Comments on this revision
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* HV               09/30/05  First release of source file
*
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*
* ADDITIONAL NOTES:
*
**********************************************************************/

.include "p30f6014a.inc"
config __FOSC, CSW_FSCM_OFF & XT_PLL8  ;Set up for crystal multiplied by 8x PLL
config __FWDT, WDT_OFF                 ;Turn off the Watch-Dog Timer.
config __FBORPOR, MCLR_EN & PWRT_OFF   ;Enable MCLR reset pin and turn off the power-up timers.
config __FGS, CODE_PROT_OFF            ;Disable Code Protection

.global _main


.section .text
_main:
        mov     #0xFFFF, w0     ;Load an unimplemented address into w0
        mov     #0xFFFF, w0     ;Load an unimplemented address into w1

trap_causing_mov_instruction:
        mov     [w0], [w1]      ;Perform an illegal mov instruction that
                                ;the tools will not be able to detect at
                                ;compile-time.
                                ;This mov instruction tries to fetch and
                                ;store values from and to unimplemented addresses
                                ;Also, it performs a misaligned access.
done:   bra     done            ;Code execution never reaches here.


/*
EOF
*/


