/**********************************************************************
*  2005 Microchip Technology Inc.
*
* FileName:        main.s
* Dependencies:    Header (.h/.inc) files if applicable, see below
* Processor:       dsPIC30Fxxxx
* Compiler:        MPLAB C30 v1.33.00 or higher
* IDE:             MPLAB IDE v7.21 or later
* Dev. Board Used: dsPICDEM 1.1 Development Board
* Hardware Dependencies: None
*
* SOFTWARE LICENSE AGREEMENT:
* Microchip Technology Inc. (Microchip) licenses this software to you
* solely for use with Microchip dsPIC digital signal controller
* products. The software is owned by Microchip and is protected under
* applicable copyright laws.  All rights reserved.
*
* SOFTWARE IS PROVIDED AS IS.  MICROCHIP EXPRESSLY DISCLAIMS ANY
* WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL MICROCHIP
* BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
* DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
* PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
* BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
* ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
*
* REVISION HISTORY:
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* Author            Date      Comments on this revision
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* HV               09/30/05  First release of source file
*
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*
* ADDITIONAL NOTES:
*
**********************************************************************/

.include "p30f6014a.inc"
config __FOSC, CSW_FSCM_OFF & XT_PLL8  ;Set up for crystal multiplied by 8x PLL
config __FWDT, WDT_OFF                 ;Turn off the Watch-Dog Timer.
config __FBORPOR, MCLR_EN & PWRT_OFF   ;Enable MCLR reset pin and turn off the power-up timers.
config __FGS, CODE_PROT_OFF            ;Disable Code Protection

.equ    STACK_OVERFLOW_TEST, 1
.equ    STACK_UNDERFLOW_TEST, 0

.global _main

.section .text
_main:

        mov     #0xFFFF, w0     ;Load a count into w0
.if STACK_OVERFLOW_TEST
L1:     push    w1              ;This instruction will eventually cause
        dec     w0, w0          ;a stack overflow because we are continuously
        bra     nz, L1          ;pushing data into the stack
.endif


        mov     #0xFFFF, w0     ;Load a count into w0
.if STACK_UNDERFLOW_TEST
L2:     pop     w1              ;This instruction will eventually cause
        dec     w0, w0          ;a stack underflow because we are continuously
        bra     nz, L2          ;popping data out of the stack
.endif

done:   bra     done            ;Code execution never reaches here.

/*
EOF
*/


