/**********************************************************************
*  2005 Microchip Technology Inc.
*
* FileName:        main.c
* Dependencies:    Header (.h) files if applicable, see below
* Processor:       dsPIC30Fxxxx
* Compiler:        MPLAB C30 v1.33.00 or higher
* IDE:             MPLAB IDE v7.20.01 or later
* Dev. Board Used: dsPICDEM 1.1 Development Board
* Hardware Dependencies: None
*
* SOFTWARE LICENSE AGREEMENT:
* Microchip Technology Inc. (Microchip) licenses this software to you
* solely for use with Microchip dsPIC digital signal controller
* products. The software is owned by Microchip and is protected under
* applicable copyright laws.  All rights reserved.
*
* SOFTWARE IS PROVIDED AS IS.  MICROCHIP EXPRESSLY DISCLAIMS ANY
* WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL MICROCHIP
* BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
* DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
* PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
* BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
* ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
*
* REVISION HISTORY:
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* Author            Date      Comments on this revision
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
* HV               09/30/05  First release of source file
*
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*
* ADDITIONAL NOTES:
*
**********************************************************************/

#include "p30fxxxx.h"
#include "OscillatorSystemCodes.h"

/* Macros for Configuration Fuse Registers (copied from device header file): */
_FOSC(CSW_ON_FSCM_OFF & XT_PLL16);      /*Set up for crystal multiplied by 16x PLL */
                                        /*Ensure Clock Switching is ON */
_FWDT(WDT_OFF);                         /*Turn off the Watch-Dog Timer. */
_FBORPOR(MCLR_EN & PWRT_OFF);           /*Enable MCLR reset pin and turn off the power-up timers. */
_FGS(CODE_PROT_OFF);                    /*Disable Code Protection */

int main (void);

int main (void)
{
        ADPCFG = 0xFFFF;                /*Ensure AN pins are digital for ICD 2 debugging*/
        TRISD = 0;
        if (clockSwitch(NOSC_LPRC) == RET_CODE_OSC_SUCCESS) /*If clock switch request is valid(legal)*/
        {
                while (1)               /*Then toggle port D pins at new Fcy frequency*/
                LATD = ~LATD;           /*View the frequency at which Port D is being toggled*/
                                        /*on an oscilloscope after the clock-switch operation*/
                                        /*has been performed */
        }
        else while (1);                 /*Else do nothing!*/
        return 0;

}
/*
EOF
*/


